Post-Apocalyptic RPG forums

General Category => Website => Topic started by: bhayden on May 02, 2009, 07:23:09 AM



Title: Download instructions tweak
Post by: bhayden on May 02, 2009, 07:23:09 AM
Hi guys -

When I went to build fife (on linux), the wiki had the sentence:

"CD into <FIFE>/build/ and run: scons ext=1 && scons"

When I ran that command, I got an error about the SConstruct file not being there. The SConstruct file sat in the <FIFE> directory though, so i just cd'd up there and ran the command and all was good. Just thought I'd mention that.

Also - that same wiki page says that python 2.6 won't work with parpg - yet I built everything and ran it just fine. Any reason why it's listed as not able to work with the game?


Title: Re: Download instructions tweak
Post by: mvBarracuda on May 02, 2009, 08:35:58 AM
Heya Ben :-)

Thanks for the pointer, the instructions about the path to CD into were flawed indeed; I just corrected it at the wiki.

Concerning Python 2.6: I remember that Python 2.6 didn't work in combination with FIFE some weeks ago. It's possible that somebody commited a patch to support it lately though. So Python 2.6 might work for Linux-based users but it will not work for win32 users who are utilizing the compile SDK for building FIFE. The SDK ships with Python 2.5 libraries to link against.

If you got any proposal how to reword the corresponding paragraph of the download article to point out that Python 2.6 might work on Linux but won't work on win32, feel free to go ahead and edit it :-)